Skip to content

Last updated: 25 June 2026 | Change log

Make a batch payout

Include multiple payouts in one batch.

Request

POST https://try.access.worldpay-bsh.securedataplatform.com/accountPayouts/batch


Account Payout request example

application/json
{ "merchant": { "entity": "default" }, "payouts": [ { "instruction": { "value": { "sourceCurrency": "EUR", "sourceAmount": 0, "targetCurrency": "EUR", "targetAmount": 199.99 }, "narrative": { "line1": "Testing invalid bank details" }, "countryCode": "GB", "beneficiaryBankDetails": { "iban": "GB41CITI18500818404062", "bankName": "Citibank London" }, "parties": [ { "partyType": "beneficiary", "personalDetails": { "type": "Company", "companyName": "Worldpay AP Ltd" }, "address": { "address1": "25 Walbrook", "city": "London", "postalCode": "EC4N 8AF", "countryCode": "GB" } } ] }, "transactionReference": "ABC123456" }, { "instruction": { "value": { "sourceCurrency": "EUR", "sourceAmount": 0, "targetCurrency": "EUR", "targetAmount": 199.99 }, "narrative": { "line1": "Testing invalid bank details" }, "countryCode": "GB", "beneficiaryBankDetails": { "iban": "GB41CITI18500818401243", "bankName": "Citibank London" }, "parties": [ { "partyType": "beneficiary", "personalDetails": { "type": "Company", "companyName": "Worldpay Ltd" }, "address": { "address1": "The Science Park", "city": "Cambridge", "postalCode": "CB4 0WE", "countryCode": "GB" } } ] }, "transactionReference": "ABC123456-invalidBankDetails" } ] }

Request schema

merchantobject(WP.FXT.SinglePayoutApi.Domain.Payout.V3.Models.Merchant)
payoutsArray of objects or null(WP.FXT.SinglePayoutApi.Domain.PayoutBatch.V2.Models.BatchPayout)[ 1 .. 500 ]

Holds information about the individual payouts.

notificationUrlstring or null

Currently not in use.

Response

The response to your Payout request is the same for standard Account Payout and Marketplaces flows.

Success example

{
  "entity": "default",
  "idempotencyKey": "123e4567-e89b-12d3-a456"
}

Response schema

entitystring or null
idempotencyKeystring or null

You can see more errors and responses in our API reference.


Next steps

Event webhooks
Testing